CyberPanel¶
The CyberPanel One-Click Image is a next-generation hosting control panel, and it features several innovative performance enhancements, including LiteSpeed's popular LSCache optimization plugin.
CyberPanel provides a One-Click installer to automatically install LSCache, WordPress, PrestaShop, Joomla, and Git. It also automates the initial setup for components like mail service and DNS, reducing the time it takes to get set up for hosting.
Quick start¶
Platforms¶
Use the CyberPanel 1-Click App to create a Droplet with any plan you want. Click here to create an account and get a $100 DigitalOcean credit.
Use the CyberPanel app to create a server with any plan you want. Click here to create an account and get a $100 Vultr credit.
Use Deploy CyberPanel to create a server with any plan you want. Click here to create an account.
- Log in to Google Cloud Platform.
- Click Launch to launch a VM instance on Compute Engine.
Method 1: Subscribe¶
- Subscribe to CyberPanel from AWS Marketplace.
- Click Continue to Launch, and then click Launch.
Method 2: EC2 console¶
- Open the Amazon EC2 console.
- Search AWS Marketplace for
CyberPanel. - Click Select, Continue, Preview, and Launch. The default is the most recent version.
- Log in to Azure Portal, and click Image Link.
- Click GET IT NOW, and then click Create.
- Choose any server plan you want to use, and create the server.
Use CyberPanel from Marketplace to create an ECS instance with any plan you want.
Use Deploy CyberPanel to create a server with any plan you want. Click here to create an account.
- Log in to hPanel.
- Navigate to Operating System from the sidebar.
- In the Change Your Operating System section, select OS with Control Panel, and choose the CyberPanel template.
Your system is installed and ready to use.
Tip
OpenLiteSpeed and LSCache are a powerful combination for your WordPress site, right out of the box. In addition, LSCache offers a variety of optimization features that can contribute to a superior PageSpeed score for your site. Learn more about the LSCache plugin's settings.
Components¶
The CyberPanel One-Click Image installs several packages.
System package installation¶
| Component | Version |
|---|---|
| Linux | Ubuntu 22.04 |
| CyberPanel | Latest from CyberPanel Repo |
Other built-in packages¶
| Component | Function |
|---|---|
| OpenLiteSpeed | Performance web server |
| phpMyAdmin | MySQL administration over the web |
| PowerDNS | Lightweight DNS server |
| Pure-FTPd | Secure, flexible FTP server |
| ACME Client | Automatic certificate deployment |
| RainLoop | Performance email client |
How to access the installed software¶
SSH access¶
From a terminal on your local computer, connect to the server as root:
ssh root@<server-ip>
ssh <username>@<server-ip>
You can find the correct username in Google Cloud Platform > Project > Compute Engine > Metadata > SSH Keys > Username.
ssh ubuntu@<server-ip>
ssh <username>@192.0.2.0
To reset the password, navigate to Support + troubleshooting > Reset password, select Reset password, and then click Update.
Be sure to substitute the server's public IP address for <server-ip>. You can also use the cloud console if the platform supports it.
Logging in to CyberPanel¶
To log in to CyberPanel, open your web browser, and access port 8090 at your domain or IP address:
https://example.com:8090
or:
https://192.0.2.0:8090
The CyberPanel login page will open.
Select the desired interface language, and enter your username and password to log in to CyberPanel.
By default, your username is admin. You can get your password with the following command:
sudo cat .litespeed_password
Logging in to phpMyAdmin¶
Connect to phpMyAdmin at the following URL:
https://example.com:8090/phpmyadmin
or:
https://192.0.2.0:8090/phpmyadmin
Get the MySQL CyberPanel user password:
sudo sed -n 2p .db_password
CyberPanel functionality explained¶
Main page view¶
Website page view¶
ACL for CyberPanel's main functions¶
| Functions | Admin | Reseller | User |
|---|---|---|---|
| Version Management | V | ||
| User Management | V | V | |
| Website Management | V | V | |
| Package Management | V | V | |
| Database Management | V | V | V |
| DNS Management | V | V | V |
| Email Management | V | V | V |
| FTP Management | V | V | V |
| Backup Management | V | V | |
| SSL Management | V | V | V |
| Server Tuning | V | ||
| Server Status | V | ||
| PHP Extension | V | ||
| Logs | V | ||
| Security | V | ||
| Mail Settings | V | ||
| Manage Services | V | ||
| Plugins | V |
Optional setup¶
One-click application installer: WordPress¶
- Create a website with your domain.
- Navigate to Main > Websites > List Websites > Launch.
- Scroll down to APPLICATION INSTALLER.
- Click WordPress with LSCache.
- Enter the following information:
- Blog Title:
LS-DEMO - Login User:
admin - Login Password:
yourpassword - Email:
demo@example.com - Path:
wordpress
- Blog Title:
- Visit
https://example.com/wordpress.
Frequently asked questions¶
How do I migrate WordPress?¶
Please see Methods for Migrating WordPress.
How do I upgrade from OLS to LSWS Enterprise?¶
- Get a license from the LiteSpeed Store.
- Navigate to CyberPanel > Server > Server Status > LiteSpeed Status.
- Enter the serial key, and click Switch.
For more information, please see CyberPanel's documentation.
How do I upgrade CyberPanel?¶
Run the following command as root. If you do not have direct root access, run sudo su - first.
sh <(curl https://raw.githubusercontent.com/usmannasir/cyberpanel/stable/preUpgrade.sh || wget -O - https://raw.githubusercontent.com/usmannasir/cyberpanel/stable/preUpgrade.sh)
How do I reset my CyberPanel password?¶
Run the following command to reset the admin password:
adminPass newpassword
Why did my FTP fail to connect?¶
Verify that ports 21 and 40110-40210 are allowed at the network firewall level. By default, they should already be allowed for each image at the system level.
How do I enable the crawler engine with LiteSpeed Enterprise?¶
Edit /usr/local/lsws/conf/httpd.conf from the SSH console. Find the <IfModule LiteSpeed> section:
<IfModule LiteSpeed>
CacheRoot /home/lscache/
</IfModule>
Update it by adding the line CacheEngine on crawler:
<IfModule LiteSpeed>
CacheRoot /home/lscache/
CacheEngine on crawler
</IfModule>
Visit CyberPanel at port 8090, and click Manage from Your Websites. Navigate to Configurations > vhost Conf.
Find all <IfModule LiteSpeed> sections:
<IfModule LiteSpeed>
CacheRoot /home/lscache/
</IfModule>
Update each one by adding the line CacheEngine on crawler:
<IfModule LiteSpeed>
CacheRoot /home/lscache/
CacheEngine on crawler
</IfModule>
How do I fix SSL issues?¶
If SSL renewal is not working, it may be due to recent ACME changes. Upgrade CyberPanel to fix the issue.
API creation¶
In addition to creating a Droplet from the CyberPanel 1-Click application using the control panel, you can also use the DigitalOcean API.
The following example creates a CyberPanel 22.04 Droplet called my-droplet in the NYC3 data center with 1 GB RAM:
curl -X POST "https://api.digitalocean.com/v2/droplets" \
-d '{"name":"my-droplet","region":"nyc3","size":"s-1vcpu-1gb","image":"litespeedtechnol-cyberpanel-20-04"}' \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json"
In addition to creating an instance from the CyberPanel image using the AWS Management Console, you can also use the AWS Command Line Interface.
The following example creates a t2.micro instance with the CyberPanel AMI:
aws ec2 run-instances --image-id ami-0b83ce8c34b39a3fb \
--subnet-id <subnet-id> \
--security-group-ids <security-group-id> \
--count 1 \
--instance-type t2.micro \
--key-name <key-name> \
--query "Instances[0].InstanceId"
Replace the placeholder values with your own settings.
Get the exact name of the CyberPanel image from LiteSpeed's project, gc-image-pub:
gcloud compute images list --project=gc-image-pub --filter="name ~ 'cyberpanel'"
Create an instance, replacing <instance-name> with the name of your choice and <image-name> with the name obtained from the previous command:
gcloud compute instances create <instance-name> --image-project=gc-image-pub --image=<image-name>
The first time you launch, you may need to accept the marketplace terms using the following command:
Get-AzureRmMarketplaceTerms \
-Publisher "litespeedtechnologies" \
-Product "cyberpanel" \
-Name "cyberpanel" \
| Set-AzureRmMarketplaceTerms -Accept
Find the release version you prefer:
az vm image list \
--location westus \
--publisher litespeedtechnologies \
--offer cyberpanel \
--all \
--output table
Launch a VM from that image:
az vm create \
--resource-group <resource-group> \
--image litespeedtechnologies:cyberpanel:cyberpanel:1.0.2 \
--name <vm-name> \
--admin-username azure
Replace resource-group, image version, name, admin name, --generate-ssh-keys, and other options with your own preferences.
Please check the Elastic Compute Service CLI Samples.




